| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Private Attributes | List of all members
Gaudi::NamedRange_< TYPE > Class Template Reference

`#include <GaudiKernel/NamedRange.h>`

Inheritance diagram for Gaudi::NamedRange_< TYPE >:
[legend]
Collaboration diagram for Gaudi::NamedRange_< TYPE >:
[legend]

## Public Member Functions
| NamedRange_ ()=default
| default constructor More...
| NamedRange_ (typename Base::iterator ibegin, typename Base::iterator iend, std::string name="")
| Constructor. More...
| NamedRange_ (const Base &base, std::string name="")
| constructor from the base class More...
| NamedRange_ (const typename Base::_Base &base, std::string name="")
| constructor from the base class More...
| NamedRange_ (const typename Base::Container &base, std::string name="")
| constructor from the base class More...
| NamedRange_ (typename Base::iterator ibegin, std::string name="")
| ~NamedRange_ ()=default
| destructor More...
NamedRange_ | slice (long index1, long index2) const
| get a "slice" of a range, in Python style More...
const std::string & | name () const
| get the name of the range More...
void | setName (const std::string &value)
| set the name of the range More...
Public Member Functions inherited from Gaudi::Range_< CONTAINER >
| Range_ ()=default
| default constructor More...
| Range_ (iterator ibegin, iterator iend)
| Constructor. More...
| Range_ (const Base &base)
| constructor from the pair of iterators More...
| Range_ (const Container &cont)
| constructor from the container More...
| Range_ (iterator ibegin)
| ~Range_ ()=default
| destructor More...
bool | empty () const
| empty sequence ? More...
size_t | size () const
| size of the sequence (number of elements) More...
iterator | begin () const
| access to begin of the sequence (const version ) More...
iterator | end () const
| access to end of the sequence (const version) More...
reverse_iterator | rbegin () const
| access to begin of the reversed sequence (const) More...
reverse_iterator | rend () const
| access to begin of the reversed sequence (const) More...
const_reference | front () const
| access for the first element (only for non-empty ranges!) More...
const_reference | back () const
| access for the back element (only for non-empty ranges!) More...
Range_ | slice (long index1, long index2) const
| get a "slice" of a range, in Python style More...
const_reference | operator() (const size_t index) const
| non-checked access to the elements by index (valid only for non-empty sequences) More...
const_reference | operator[] (const long index) const
| non-checked access to the elements by index (valid only for non-empty sequences) More...
const_reference | at (const long index) const
  | Checked access to the elements by index (valid for all sequences) Exceptions
  GaudiException | for out-of-range access.
More...
bool | operator< (const Range_ &right) const
| compare with another range More...
bool | operator< (const Container &right) const
| compare with the base container More...
bool | operator== (const Range_ &right) const
| equality with another range More...
bool | operator== (const Container &right) const
| equality with the base container More...
bool | operator! () const
| empty sequence? More...
| operator const Base & () const
| conversion operator to the std::pair More...
const Base & | base () const
| conversion operator to the std::pair More...

## Protected Types
typedef Gaudi::Range_< TYPE > | Base
| the base class More...
typedef NamedRange_< TYPE > | Self
| "self"-type More...

## Private Attributes
std::string | m_name
| the name, associated to the range More...

## Additional Inherited Members
Public Types inherited from Gaudi::Range_< CONTAINER >
typedef std::pair< typename CONTAINER::const_iterator, typename CONTAINER::const_iterator > | Base
typedef CONTAINER | Container
| type for actual contained iterator More...
typedef Container::value_type | value_type
typedef Container::const_iterator | iterator
typedef Container::const_iterator | const_iterator
typedef Container::const_reverse_iterator | reverse_iterator
typedef Container::const_reverse_iterator | const_reverse_iterator
typedef Container::const_reference | reference
typedef Container::const_reference | const_reference
typedef std::pair< iterator, iterator > | _Base
| internal types More...
typedef Range_< Container > | _Self

## Detailed Description

### template<class TYPE>
class Gaudi::NamedRange_< TYPE >

Definition at line 43 of file NamedRange.h.

## Member Typedef Documentation

template<class TYPE >

typedef Gaudi::Range_<TYPE> Gaudi::NamedRange_< TYPE >::Base
| protected

the base class

Definition at line 48 of file NamedRange.h.

template<class TYPE >

typedef NamedRange_<TYPE> Gaudi::NamedRange_< TYPE >::Self
| protected

"self"-type

Definition at line 50 of file NamedRange.h.

## Constructor & Destructor Documentation

template<class TYPE >

Gaudi::NamedRange_< TYPE >::NamedRange_ | ( |  | ) |
| default

default constructor

template<class TYPE >

Gaudi::NamedRange_< TYPE >::NamedRange_ | ( | typename Base::iterator | ibegin,
|  | typename Base::iterator | iend,
|  | std::string | name = `""`
| ) |  |
| inline

Constructor.

Parameters

  ibegin | iterator to begin of the sequence
  iend | iterator to end of the sequence
  name | name of the range

Definition at line 61 of file NamedRange.h.

64 : Base ( ibegin , iend ) , m_name ( std::move(name) ) {} ;
std::move
T move(T...args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
Gaudi::NamedRange_::Base
Gaudi::Range_< TYPE > Base
the base class
Definition: NamedRange.h:48
template<class TYPE >

Gaudi::NamedRange_< TYPE >::NamedRange_ | ( | const Base & | base,
|  | std::string | name = `""`
| ) |  |
| inline

constructor from the base class

Parameters

  base | base objects
  name | name of the range

Definition at line 69 of file NamedRange.h.

71 : Base ( base ) , m_name ( std::move(name) ) {};
std::move
T move(T...args)
Gaudi::Range_::base
const Base & base() const
conversion operator to the std::pair
Definition: Range.h:226
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
Gaudi::NamedRange_::Base
Gaudi::Range_< TYPE > Base
the base class
Definition: NamedRange.h:48
template<class TYPE >

Gaudi::NamedRange_< TYPE >::NamedRange_ | ( | const typename Base::_Base & | base,
|  | std::string | name = `""`
| ) |  |
| inline

constructor from the base class

Parameters

  base | base objects
  name | name of the range

Definition at line 76 of file NamedRange.h.

78 : Base ( base ) , m_name ( std::move(name) ) {};
std::move
T move(T...args)
Gaudi::Range_::base
const Base & base() const
conversion operator to the std::pair
Definition: Range.h:226
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
Gaudi::NamedRange_::Base
Gaudi::Range_< TYPE > Base
the base class
Definition: NamedRange.h:48
template<class TYPE >

Gaudi::NamedRange_< TYPE >::NamedRange_ | ( | const typename Base::Container & | base,
|  | std::string | name = `""`
| ) |  |
| inline

constructor from the base class

Parameters

  base | base objects
  name | name of the range

Definition at line 83 of file NamedRange.h.

85 : Base ( base ) , m_name ( std::move(name) ) {};
std::move
T move(T...args)
Gaudi::Range_::base
const Base & base() const
conversion operator to the std::pair
Definition: Range.h:226
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
Gaudi::NamedRange_::Base
Gaudi::Range_< TYPE > Base
the base class
Definition: NamedRange.h:48
template<class TYPE >

Gaudi::NamedRange_< TYPE >::NamedRange_ | ( | typename Base::iterator | ibegin,
|  | std::string | name = `""`
| ) |  |
| inline

Definition at line 90 of file NamedRange.h.

92 : Base ( ibegin , ibegin ) , m_name ( std::move(name) ) {};
std::move
T move(T...args)
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
Gaudi::NamedRange_::Base
Gaudi::Range_< TYPE > Base
the base class
Definition: NamedRange.h:48
template<class TYPE >

Gaudi::NamedRange_< TYPE >::~NamedRange_ | ( |  | ) |
| default

destructor

## Member Function Documentation

template<class TYPE >

const std::string& Gaudi::NamedRange_< TYPE >::name | ( |  | ) | const
| inline

get the name of the range

Definition at line 105 of file NamedRange.h.

105 { return m_name ; }
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
template<class TYPE >

void Gaudi::NamedRange_< TYPE >::setName | ( | const std::string & | value | ) |
| inline

set the name of the range

Definition at line 107 of file NamedRange.h.

107 { m_name = value ; }
dump_component_properties.value
list value
Definition: dump_component_properties.py:12
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
template<class TYPE >

NamedRange_ Gaudi::NamedRange_< TYPE >::slice | ( | long | index1,
|  | long | index2
| ) |  | const
| inline

get a "slice" of a range, in Python style

Definition at line 99 of file NamedRange.h.

100 { return NamedRange_( Base::slice ( index1 , index2 ) , m_name ) ; }
Gaudi::NamedRange_::m_name
std::string m_name
the name, associated to the range
Definition: NamedRange.h:112
Gaudi::NamedRange_::NamedRange_
NamedRange_()=default
default constructor

## Member Data Documentation

template<class TYPE >

std::string Gaudi::NamedRange_< TYPE >::m_name
| private

the name, associated to the range

Definition at line 112 of file NamedRange.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/NamedRange.h